Module jdk.javadoc
Package com.sun.javadoc

## Interface WildcardType

- All Superinterfaces:
    `Type`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface WildcardType
      extends Type

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a wildcard type argument. Examples include:

       <?>
       <? extends E>
       <? super T>

  A wildcard type can have explicit extends bounds or explicit super bounds or neither, but not both.
  Since:
    1.5

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Type[]` | `extendsBounds()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the upper bounds of this wildcard type argument as given by the extends clause.
    `Type[]` | `superBounds()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the lower bounds of this wildcard type argument as given by the super clause.

    - ### Methods declared in interface com.sun.javadoc.Type

      `asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### extendsBounds

          Type[] extendsBounds()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the upper bounds of this wildcard type argument as given by the extends clause. Return an empty array if no such bounds are explicitly given.
      Returns:
        the extends bounds of this wildcard type argument

    - #### superBounds

          Type[] superBounds()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the lower bounds of this wildcard type argument as given by the super clause. Return an empty array if no such bounds are explicitly given.
      Returns:
        the super bounds of this wildcard type argument